Несколько уязвимостей в Drupal Brilliant Gallery

Дата публикации:
03.10.2008
Всего просмотров:
2308
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-4530
CVE-2008-4531
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Brilliant Gallery 5.x (module for Drupal)
Уязвимые версии: Brilliant Gallery (модуль к Drupal) версии до 5.x-4.2

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной обработки входных данных. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Для успешной эксплуатации уязвимости требуются действительные учетные данные.

URL производителя: drupal.org/project/brilliant_gallery

Решение: Установите последнюю версию 5.x-4.2 с сайта производителя.

Ссылки: http://drupal.org/node/315919
http://drupal.org/node/313054

или введите имя

CAPTCHA